Skip to navigation content (Press Enter).

McMaster University

>>  

End-user, computer software requirements to access PeopleSoft

A large portion of Mosaic is the implementation of the PeopleSoft ERP software. In general, the PeopleSoft software is accessed with a standard web-browser. The following browsers are supported:

  • Firefox 17
  • Chrome 24
  • Internet Explorer (10,9,8)
  • Safari (6, 5)

These are minimum standards. Typically newer versions of these browsers also work. (see note about Internet Explorer 11)

UPDATE

The Mosaic team recommends Firefox as the web browser of choice for using the PeopleSoft tools in the Mosaic portal. To date Firefox has been the most stable and reliable option.

Internet Explorer 11

Internet Explorer 11 was released in mid-October. As such it is too new to be officially supported. Users of this web browser will get a warning when they try to login to the system. Users can still login and use the system with Internet Explorer 11; however, they may encounter page rendering anomalies or errors. Users who encounter problems should downgrade to Internet Explorer 10 or switch to an alternate web browser, such as Firefox.

Special Cases

There are several situations in which users may need additional software.

Journal Upload from Excel

Individuals who need to perform bulk journal uploads from Excel will need a template file and an Excel plug-in. see the downloads page for further information.

Complex Financial Reports (nVision)

Those users who need to access complex financial reports as part of their role (i.e. reports requiring drill-down capabilities and analysis), will need a version of Microsoft Excel on their client and will need to use an Excel plugin called nVision. (The plugin will be made available to users who need it when the new system launches in December 2013)

 The version of Excel included with the following versions of Microsoft Office are officially supported:

  • Office 2007 (all SP levels included)
  • Office 2010 (all SP levels included)

These versions of Office are for the Windows operating system. In addition to the officially supported versions of Office, the Mosaic team has conducted limited tests with recent versions of Excel on Mac OS X and Office 2003 on Windows XP and found them compatible; however, these configurations are not officially supported.

It is the intention of the project team to provide web-based alternatives for financial reporting but that functionality will not be available for the December launch of the finance portion of Mosaic.

Budgeting

Those users who need to access the new budgeting system, Hyperion, as part of their role ( i.e. those preparing or approving budgets in the Operating, Ancillary, or External Specifically Funded Funds) will need a version of Microsoft Excel on their client and will need to use an Excel plugin called SmartView. (The plugin will be made available to users who need it prior to the 2015-2016 budget cycle.) The following versions of Microsoft Office are supported:

  • Office 2003 (all SP levels included)
  • Office 2007 (all SP levels included)
  • Office 2010 (all SP levels included)